---
title: RTCRtpTransceiverInit
slug: Web/API/RTCRtpTransceiverInit
tags:
  - API
  - Dictionary
  - Interface
  - Media
  - RTCRtpTransceiver
  - RTCRtpTransceiverInit
  - Reference
  - Transceiver
  - WebRTC
---
<div>{{APIRef("WebRTC")}}</div>

<p><span class="seoSummary">The <strong><code>RTCRtpTransceiverInit</code></strong> dictionary is used when calling the WebRTC function {{domxref("RTCPeerConnection.addTransceiver()")}} to provide configuration options for the new transceiver.</span></p>

<h2 id="Properties">Properties</h2>

<dl>
 <dt><code>direction</code> {{optional_inline}}</dt>
 <dd>The new transceiver's preferred directionality. This value is used to initialize the new {{domxref("RTCRtpTransceiver")}} object's {{domxref("RTCRtpTransceiver.direction")}} property.</dd>
 <dt><code>sendEncodings</code> {{optional_inline}}</dt>
 <dd>A list of encodings to allow when sending RTP media from the {{domxref("RTCRtpSender")}}. Each entry is of type {{domxref("RTCRtpEncodingParameters")}}.</dd>
 <dt><code>streams</code> {{optional_inline}}</dt>
 <dd>A list of {{domxref("MediaStream")}} objects to add to the transceiver's{{domxref("RTCRtpReceiver")}}; when the remote peer's {{domxref("RTCPeerConnection")}}'s {{event("track")}} event occurs, these are the streams that will be specified by that event.</dd>
</dl>


<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName("WebRTC 1.0", "#dom-rtcrtptransceiverinit", "RTCRtpTransceiverInit")}}</td>
   <td>{{Spec2("WebRTC 1.0")}}</td>
   <td> </td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.RTCRtpTransceiverInit")}}</p>
</div>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/API/WebRTC_API">WebRTC API</a></li>
 <li><a href="/en-US/docs/Web/API/WebRTC_API/Intro_to_RTP">Introduction to the Real-time Transport Protocol (RTP)</a></li>
 <li>{{domxref("RTCPeerConnection.addTransceiver()")}}</li>
 <li>{{domxref("RTCRtpTransceiver")}}</li>
 <li>{{domxref("RTCRtpReceiver")}} and {{domxref("RTCRtpSender")}}</li>
</ul>

